Copy to clipboard via Ctrl+C
curl --request POST \
--url https://api.cyberdesk.io/v1/computer/{machine_id}/copy_to_clipboard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>"
}
'import requests
url = "https://api.cyberdesk.io/v1/computer/{machine_id}/copy_to_clipboard"
payload = { "text": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>'})
};
fetch('https://api.cyberdesk.io/v1/computer/{machine_id}/copy_to_clipboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}computer
Copy to clipboard via Ctrl+C
Execute Ctrl+C and return clipboard contents with the specified key name.
POST
/
v1
/
computer
/
{machine_id}
/
copy_to_clipboard
Copy to clipboard via Ctrl+C
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Path Parameters
Body
application/json
Key name for the copied data
Response
Successful Response
The response is of type Response Copy To Clipboard V1 Computer Machine Id Copy To Clipboard Post · object.
Was this page helpful?
⌘I